Subject: gcc-2.95.2-9 - invalid cpp spec string
From: René Møller Fonseca <[email-masked]>
To: Cygwin-Mailing-List <[email-masked]>
Date: Mon, 12 Mar 2001 16:14:05 +0100

Hi,

I just installed gcc-2.95.2-9 and have found the spec string for 'cpp'
to be invalid. The option -mwin32 is not being substituted.

I'm getting the following error:

  g++ -mno-cygwin -mthreads main.cpp
  cpp.exe: Invalid option `-mwin32'

One solution would be to insert the conditional text of the `%'-sequence
for 'mwin32' directly into the `%'-sequence for 'mno-cygwin'.

Another solution, which I prefer, is to replaced the `%'-sequence
"%{mwin32:...}" with "%{mwin32|mno-cygwin:...}".

René

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple